精华内容
下载资源
问答
  • solidworks二次开发

    2014-07-09 15:21:33
    solidworks二次开发,2013solidworks二次开发教程ppt
  • solidworks 二次开发

    2013-09-03 22:20:48
    solidworks 二次开发solidworks
  • SolidWorks二次开发

    2021-05-21 22:50:30
    SolidWorks二次开发】独立应用程序链接到SW方法一:直接实例化方法二:COM接口(不是很懂,欢迎评论改正) VB.NET 方法一:直接实例化 Imports SolidWorks.Interop.sldworks Imports SolidWorks.Interop.swconst ...

    VB.NET
    

    方法一:直接实例化

    Imports SolidWorks.Interop.sldworks
    Imports SolidWorks.Interop.swconst
    
    Module Module1
        Sub Main()
            Dim swApp As SldWorks 
            swApp = New SldWorks() '实例化swApp对象,这个过程就是新建或者链接到SolidWorks进程
            swApp.Visible = True ' 使SolidWorks可见
            swApp.ExitApp() ' 退出SolidWorks,进程仍在
        End Sub
    End Module
    
    

    方法二:COM接口(不是很懂,改写于B站教程欢迎评论改正)

    Imports SolidWorks.Interop.sldworks
    Public Class Connect2SW
        Public Shared swApp As SldWorks
        Sub New()
            If IsNothing(swApp) Then
                swApp = Activator.CreateInstance(Type.GetTypeFromProgID("SldWorks.Application"))
                swApp.Visible = True
            End If
        End Sub
        Public Shared Sub Dispose()
            If Not IsNothing(swApp) Then
                swApp.ExitApp()
                swApp = Nothing
            End If
        End Sub
    End Class
    

    https://www.bilibili.com/video/BV18T4y1j7tz?p=3&spm_id_from=pageDriver

    展开全文
  • Solidworks二次开发

    2012-06-12 09:18:23
    Solidworks二次开发实现了参数化建模
  • SolidWorks二次开发模板

    2017-10-11 11:18:21
    SolidWorks二次开发模板,使用C#进行SolidWorks二次开发的模板
  • SolidWorks.二次开发与API.07教程,本文包括solidworks二次开发的基本知识和大量的应用实例。
  • VB的SoildWorks二次开发教材,SolidWorks二次开发基本知识,C#SolidWorks二次开发模板,Solidworks的二次开发及参数化设计,主要结构框架和内容
  • solidworks二次开发工具

    2015-05-01 12:39:50
    solidworks 二次开发工具
  • SolidWorks 二次开发 练习文件,配合SolidWorks高级教程: 二次开发使用
  • C# SolidWorks 二次开发 API---连接solidworks

    千次阅读 多人点赞 2019-09-10 09:52:15
    Solidworks二次开发需要一些C# Vb.net C++ 等编程语言的基础知识,大多使用Visual Studio进行开发。 再一个就是Solidworks要熟悉或者精通,因为任何手工都无法实现的东西,基本上做二次开发也不能实现。 那我们从...

    从事Solidworks 二次开发十几年了,一直没有时间好好整理笔记,最近准备花一些时间整理一下。

    Solidworks二次开发需要一些C# Vb.net C++ 等编程语言的基础知识,大多使用Visual Studio进行开发。

    再一个就是Solidworks要熟悉或者精通,因为任何手工都无法实现的东西,基本上做二次开发也不能实现。

    那我们从最基础的连接到solidworks开始:

    1.新建一个窗体程序或者控制台应用,我们以窗体程序为例:

    加上一个按钮:

    2.用NuGet查找solidworks进行dll的引用。自己选择对应版本或者其它包装好的库

    (至少包括SolidWorks.Interop.sldworks ,SolidWorks.Interop.swconst,其它的可以删除掉)

    3.新建一个公共类 

    using SolidWorks.Interop.sldworks;
    using System;
    using System.Diagnostics;
    using System.Runtime.InteropServices;
    using System.Windows.Forms;
    
    namespace CSharpAndSolidWorks
    {
        public class Utility
        {
            public static ISldWorks SwApp { get; private set; }
    
            public static ISldWorks ConnectToSolidWorks()
            {
                if (SwApp != null)
                {
                    return SwApp;
                }
                else
                {
                    Debug.Print("connect to solidworks on " + DateTime.Now);
                    try
                    {
                        SwApp = (SldWorks)Marshal.GetActiveObject("SldWorks.Application");
                    }
                    catch (COMException)
                    {
                        try
                        {
                            SwApp = (SldWorks)Marshal.GetActiveObject("SldWorks.Application.23");//2015
                        }
                        catch (COMException)
                        {
                            try
                            {
                                SwApp = (SldWorks)Marshal.GetActiveObject("SldWorks.Application.26");//2018
                            }
                            catch (COMException)
                            {
                                MessageBox.Show("Could not connect to SolidWorks.", "SolidWorks", MessageBoxButtons.OK, MessageBoxIcon.Hand);
                                SwApp = null;
                            }
                        }
                    }
    
                    return SwApp;
                }
            }
        }
    }

    上面这个代码块是C# 连接Solidworks的代码(EXE程序), 默认是solidworks已经被用户打开了。

    这种连接不打开solidworks会提示连接失败。

    这样我们可以获取到当前第一个运行的solidworks对象。(exe方式永远只能获取到第一个运行的solidworks对象。dll方式是集成在对应的运行进程中的,所以可以多个同时操作)

    4.给按钮增加代码:

     private void BtnConnect_Click(object sender, EventArgs e)
            {
                ISldWorks swApp = Utility.ConnectToSolidWorks();
    
                if (swApp != null)
                {
                    string msg = "This message from C#. solidworks version is " + swApp.RevisionNumber();
    
                    swApp.SendMsgToUser(msg);
                }
            }

    运行之后,点击按钮,会提示如下消息,表示我们用Visual Studio连接到已经打开的Solidworks成功了 。

    可在此下载源码:https://gitee.com/painezeng/CSharpAndSolidWorks  需要VS2017  Solidworks2018以及上才能正常使用

    注意: win10环境下需要保持Solidworks 和Visual studio 用同样的权限启动。同时管理员或者同时一般用户

     

     

    -----------------------------------------

    关于连接可以参考下面这一文章:

    Solidworks的多开操作与连接指定版本Solidworks

    https://blog.csdn.net/zengqh0314/article/details/105565915

     

    展开全文
  • SolidWorks二次开发基本知识,主要介绍SolidWorksAPI主要结构框架和内容
  • solidworks二次开发,API ,
  • solidworks二次开发资料

    2011-06-10 18:56:04
    solidworks二次开发资料 Solidworks 2001 Plus二次开发中菜单的编制与添加 SolidWorks接口开发技术的实现 SolidWorks与MFC的接口开发技术及其应用 SolidWorks中公差与符号标注的二次开发 VisualC~(++)对SolidWorks的...
  • Solidworks二次开发系列入门1基本介绍 基本介绍 SolidWorks二次开发其实就是使用API函数对SolidWorks设计中一些重复繁琐的工作让计算机代替完成,起到辅助设计的作用。 SolidWorks的二次开发是建立在软件提供的API...

    Solidworks二次开发系列入门1

    基本介绍

    SolidWorks二次开发其实就是使用API函数对SolidWorks设计中一些重复繁琐的工作让计算机代替完成,起到辅助设计的作用。
    SolidWorks的二次开发是建立在软件提供的API函数的基础上的,并且传统的二次开发大多选用面向对象技术的设计方式,而SolidWorks的API对象结构是一个自上而下的多层树型网络结构,设计对象结构关系如图1.1所示。
    在二次开发过程中,COM编程允许SolidWorks将实际的对象函数功能与外部世界联系,提供设计人员开发使用,而VB.Net程序语言将COM编程的复杂性降低,使得设计人员在编译时,既可以在上层对象中寻找函数和方法,也可以面向子类对象调用其函数完成设计。
    在这里插入图片描述
    图1.1 SolidWorks零件对象的API结构

    从图1.2中可以看到SolidWorks对象包括Model Doc、Environment、Frame、Attribute Def、Modeler、SW Property Sheet以及一些其他对象。其中,SldWorks是所有对象的最高级,设计人员通过它能够直接或间接地访问API中的其他对象,并利用SldWorks可以设置编程的环境、框架、造型等属性,也可以数据处理的点、向量、单位进行设置,并调用零件、装配体、工程图等文件。

    在这里插入图片描述
    图1.2 SolidWorks API对象梗概图

    solidworks二次开发多使用VBA、VB.NET、C#.NET、C++等语言,每种语言都有自己的优势所在,这里仅作简要介绍。
    1、VBA:VBA语言是solidworks软件自带的一种宏语言,可以通过solidworks自带宏功能打开,方便快捷,许多VB.NET、C#.NET等程序的编写可以通过宏录制VBA程序的基础上更改获得编程人员想要的程序。但是VBA语言不适合系统软件的开发,且在编程时没有错误提示。
    2、VB.NET:BT-君主要使用的是VB.NET语言,许多语言和VBA相似,宏录制后方便编程人员的修改应用且可以作为系统软件开发语言,以Visual Studio作为开发平台。
    3、C#.NET:C#和VB.NET优势几乎差不多,但是C#和solidworks自带宏程序语言VBA有些不同,不适合前期入门的人员选择。
    4、C++:C++语言有些难度,不是太适合常规的solidworks二次开发编写,不建议使用。

    BT-君主要是基于Visual Studio平台以VB.NET语言做的一系列二次开发工作,solidworks二次开发首先是要进行开发环境的搭建,入门者可以先从EXE程序的开发入手,后续可以进一步了解solidworks插件的开发环境及方法。

    EXE程序程序搭建方法:
    1、安装Visual Studio2010及以后版本(建议)。
    2、点击新建项目,选择Visual Basic语言中的Windows窗体应用程序。
    3、找到解决资源管理器下面的“引用”,或者在项目中添加引用,如下图所示。在这里插入图片描述
    4、在COM组件中找到solidworks的类型库,选择后点击确定即可。在这里插入图片描述

    展开全文
  • Qt SolidWorks 二次开发

    2020-06-28 09:21:16
    网上的关于Qt solidworks二次开发的资料好少,自己摸索了一下,终于实现了一个零件的拉伸,特此记录一下: void Widget::on_pushButton_clicked() { //打开SW,创建一个新零件 QAxObject swApp("SldWorks....

    Qt SolidWorks 二次开发

    网上的关于Qt solidworks二次开发的资料好少,自己摸索了一下,终于实现了一个零件的拉伸,特此记录一下:

    void Widget::on_pushButton_clicked()
    {
        //打开SW,创建一个新零件
        QAxObject swApp("SldWorks.Application",0);
        swApp.setProperty("Visible",true);
        swApp.dynamicCall("NewPart()");
    
        //获取当前的活动零件
        swPart = swApp.querySubObject("ActiveDoc");
        //选择草图管理器,并插入一个草图
        QAxObject *swSketchManager = swPart->querySubObject("SketchManager");
        swSketchManager->dynamicCall("InsertSketch(bool)",true);
    
        //画三条直线
        swSketchManager->dynamicCall("CreateLine(double,double,double,double,double,double)",
                                     0,0,0,0.1,0.1,0);
        swSketchManager->dynamicCall("CreateLine(double,double,double,double,double,double)",
                                     0.1,0.1,0,-0.2,0.2,0);
        swSketchManager->dynamicCall("CreateLine(double,double,double,double,double,double)",
                                     -0.2,0.2,0,0,0,0);
        //参数太多采用list赋值
        QList<QVariant> list;
        list.append(true);
        list.append(false);
        list.append(false);
        list.append(0);
        list.append(0);
        list.append(0.1);
        list.append(0);
        list.append(true);
        list.append(false);
        list.append(true);
        list.append(false);
        list.append(0);
        list.append(0);
        list.append(false);
        list.append(false);
        list.append(false);
        list.append(false);
        list.append(true);
        list.append(true);
        list.append(true);
        list.append(false);
        //打开特征管理器,创建一个拉伸的特征
        QAxObject *swFeatureManager = swPart->querySubObject("FeatureManager");
        swFeatureManager->dynamicCall("FeatureExtrusion(bool,bool,bool,int,int,"
                                      "double,double,bool,bool,bool,bool,"
                                      "double,double,bool,bool,bool,bool,"
                                      "bool,bool,bool)",list);
    }
    

    效果

    展开全文
  • solidworks二次开发全教程系列、solidworks、二次开发
  • @ C# SolidWorks二次开发——创建插件Addin(SolidWorks 2020 + VS 2019) C# SolidWorks二次开发——创建插件Addin(SolidWorks 2020 + VS 2019) 网上其他相关教程使用的可能是VS2015或是更早的VS版本,可能会遇到...
  • Solidworks二次开发之特征树节点遍历
  • Solidworks二次开发与API 07官方教程(叶修梓、陈超祥主编)
  • solidworks二次开发方法

    2012-03-15 19:24:47
    solidworks 二次开发的方法,包括VC、VB等。
  • 基于SolidWorks二次开发在工厂空间布局规划的研究,王男,董玉德,本文介绍了三维实体造型软件SolidWorks 在装配方面的二次开发方法,结合实例讲述了基于COM,采用 VC6.0开发SolidWorks的原理和方法,通过控
  • Solidworks二次开发入门教程[VB实现].do

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 525
精华内容 210
关键字:

solidworks二次开发